Download it now!
Bug 74837 - PRINTING: Bad text spacing and positioning with "Export as PDF..." under OSX Mavericks (10.9)
Summary: PRINTING: Bad text spacing and positioning with "Export as PDF..." under OSX ...
Status: RESOLVED WORKSFORME
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Impress (show other bugs)
Version:
(earliest affected)
4.1.4.2 release
Hardware: Other Mac OS X (All)
: high normal
Assignee: Not Assigned
URL:
Whiteboard: BSA
Keywords:
: 75029 77304 (view as bug list)
Depends on:
Blocks:
 
Reported: 2014-02-11 12:52 UTC by Brian Candler
Modified: 2015-07-18 19:24 UTC (History)
6 users (show)

See Also:
Crash report or crash signature:


Attachments
Test presentation (45.09 KB, application/vnd.oasis.opendocument.presentation)
2014-02-11 12:52 UTC, Brian Candler
Details
Screenshot of page 5 of PDF exported using OSX 10.9 (129.73 KB, image/png)
2014-02-11 12:55 UTC, Brian Candler
Details
odp test file (93.11 KB, application/vnd.oasis.opendocument.presentation)
2014-02-18 17:40 UTC, Vincent Boudry
Details
Correct pdf output with X86_64 4.2.0.3 (445.19 KB, application/download)
2014-02-18 17:41 UTC, Vincent Boudry
Details
Incorrect output with X86 4.2.0.2 (202.50 KB, application/download)
2014-02-18 17:42 UTC, Vincent Boudry
Details
Incorrect output with X86 4.2.1.1 (202.50 KB, application/download)
2014-02-18 17:42 UTC, Vincent Boudry
Details
Incorrect output with X86_64 4.2.1.1 (202.50 KB, application/download)
2014-02-18 17:43 UTC, Vincent Boudry
Details
Correct output with PDF print (68.18 KB, application/download)
2014-02-18 17:44 UTC, Vincent Boudry
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Brian Candler 2014-02-11 12:52:52 UTC
Created attachment 93860 [details]
Test presentation

Problem description: 

Very poor formatting of presentations when using Export as PDF... under OSX 10.9.

Steps to reproduce:
1. Open the attached odp in OSX 10.9
2. File > Export as PDF ...
3. Open the resulting PDF in Preview

Current behavior:

The attached presentation includes some text in Arial (including some bold, italic, underline) and Courier New.

When exported using LO 4.1.4.2 under OSX 10.8, it renders fine. The output PDF is about 60KB.

When exported using LO 4.1.4.2 under OSX 10.9, the formatting is broken. The output is 1.6MB. Worst is page 5 where the text is in completely the wrong place. However page 3 the Courier New space runs off the end of the page, and page 2 the kerning between characters looks wrong (too much space)

(It's not a problem with Preview: preview under 10.8 renders both good and bad PDFs identically to preview under 10.9)

Expected behavior:

To generate PDFs the same way as they do under 10.8
Operating System: Mac OS X
Version: 4.1.4.2 release
Comment 1 Brian Candler 2014-02-11 12:55:38 UTC
Created attachment 93861 [details]
Screenshot of page 5 of PDF exported using OSX 10.9
Comment 2 Brian Candler 2014-02-11 12:56:16 UTC
The 1.6MB PDF is too large to be accepted by Mozilla.
Comment 3 Jorendc 2014-02-11 18:28:55 UTC
@Bug reporter: I fail to reproduce, tested using Mac OSX 10.9 with LibreOffice 4.2.0.4 and 4.1.5.

Can you:
1) try to reset your user profile (see https://wiki.documentfoundation.org/UserProfile)

2) Test using 4.2.0.4 or 4.1.5 (http://www.libreoffice.org/download)

Kind regards,
Joren
Comment 4 Brian Candler 2014-02-11 20:50:47 UTC
That's odd. We are a team working on this, and two of us with OSX 10.9 both experience the same problem; another two working with OSX 10.8 are able to export PDF no problem.

Just to reiterate, it's "File > Export as PDF..." (or the "Export Directly as PDF" button) with this problem. If you Print and then Save as PDF then the quality is fine.

Trying your suggestions:

1. Removing my user profile as per the link you sent doesn't make a difference.

2. Trying other versions:

I couldn't find 4.1.5, but I found 4.1.5.3. This gives the same results.

Install 4.2.0.4: still the same results.

The generated PDFs:

-rw-r--r--@  1 brian  staff  1649318 11 Feb 20:32 Untitled 1-export-del-userprofile.pdf
-rw-r--r--@  1 brian  staff  1649318 11 Feb 20:43 Untitled 1-4.1.5.3.pdf
-rw-r--r--@  1 brian  staff  1649392 11 Feb 20:45 Untitled 1-4.2.0.4.pdf

Aisde: my Mac was upgraded from 10.7 to 10.9; my colleague who experiences the same problem was also upgraded (may have been 10.7->10.8->10.9). Was yours a clean 10.9 install?

We do both have MacTeX installed. However the other people on 10.8 have this too.
Comment 5 Jorendc 2014-02-11 21:15:20 UTC
Ah dangit. You are right. Looks like I can reproduce right now. 
I'm sorry for the noise and thanks for your feedback. My bad.

Tested using Mac OSX 10.9 with LibreOffice 4.2.0.4

Marking as NEW
Comment 6 Vincent Boudry 2014-02-18 17:37:21 UTC
Bonjour,

I have the same problem on Mavericks.
I put my test slide and outputs here 
as somehow I had different behaviour using the 
X86 or X86_64 version, and maybe a regression...

Hope it might help.

Using the print to pdf option looks:
OK:  Font_test_Impress_PDF_Print.pdf

Latest X86_64 version is distorded while an earlier one was OK.
Bad: Font_test_Impress_LO_B64_4.2.1.1_BuildID-d7dbbd7842e6a58b0f521599204e827654e1fb8b.pdf
Bad: Font_test_Impress_LO_B32_4.2.1.1_BuildID-d7dbbd7842e6a58b0f521599204e827654e1fb8b.pdf
Bad: Font_test_Impress_LO_B32_4.2.0.2 Build ID- 125e3e788aa207ab80b6f39e74ef57af7e2129b6.pdf
OK : Font_test_Impress_LO_B64_4.2.0.3_Build ID-c63c03decdf780d8fb80823950665b782ec9ecd0.pdf

Have a nice day,
Vincent.
Comment 7 Vincent Boudry 2014-02-18 17:40:14 UTC
Created attachment 94297 [details]
odp test file
Comment 8 Vincent Boudry 2014-02-18 17:41:28 UTC
Created attachment 94298 [details]
Correct pdf output with X86_64 4.2.0.3
Comment 9 Vincent Boudry 2014-02-18 17:42:08 UTC
Created attachment 94299 [details]
Incorrect output with X86 4.2.0.2
Comment 10 Vincent Boudry 2014-02-18 17:42:46 UTC
Created attachment 94300 [details]
Incorrect output with X86 4.2.1.1
Comment 11 Vincent Boudry 2014-02-18 17:43:24 UTC
Created attachment 94301 [details]
Incorrect output with X86_64 4.2.1.1
Comment 12 Vincent Boudry 2014-02-18 17:44:05 UTC
Created attachment 94302 [details]
Correct output with PDF print
Comment 13 Vincent Boudry 2014-03-19 19:59:49 UTC
*** Bug 75029 has been marked as a duplicate of this bug. ***
Comment 14 Pawel 2014-03-27 13:26:02 UTC
(I originally created Bug 75029 which has been marked a dup of this one.)

Hard code freeze for 4.1.6 and hence EoL is in about 10 days. Any chance this will get fixed? My organization has standardized on 4.1 and everything works great except this one last problem...
Comment 15 Brian Candler 2014-03-29 21:17:49 UTC
Here is a functional but somewhat laborious workaround.

1. Print... (Cmd-P)
2. In the print dialog box, select PDF > Open PDF in Preview. It opens but with the wrong slide orientation.
3. View > Thumbnails (Option-Cmd-2)
4. Edit > Select All (Cmd-A)
5. Tools > Rotate Left (Cmd-L)
6. File > Save (Cmd-S)

The filename offered is "foobar copy" but you can trim off the " copy".

Result is a sane PDF with correct character spacing and orientation.
Comment 16 Alex Thurgood 2014-06-22 20:43:16 UTC
*** Bug 77304 has been marked as a duplicate of this bug. ***
Comment 17 QA Administrators 2015-07-18 17:44:29 UTC
** Please read this message in its entirety before responding **

To make sure we're focusing on the bugs that affect our users today, LibreOffice QA is asking bug reporters and confirmers to retest open, confirmed bugs which have not been touched for over a year.

There have been thousands of bug fixes and commits since anyone checked on this bug report. During that time, it's possible that the bug has been fixed, or the details of the problem have changed. We'd really appreciate your help in getting confirmation that the bug is still present.

If you have time, please do the following:

Test to see if the bug is still present on a currently supported version of LibreOffice (4.4.1 or later): https://www.libreoffice.org/download/

If the bug is present, please leave a comment that includes the version of LibreOffice and your operating system, and any changes you see in the bug behavior
 
If the bug is NOT present, please set the bug's Status field to RESOLVED-WORKSFORME and leave a short comment that includes your version of LibreOffice and Operating System

Please DO NOT

Update the version field
Reply via email (please reply directly on the bug tracker)
Set the bug's Status field to RESOLVED - FIXED (this status has a particular meaning that is not appropriate in this case)


If you want to do more to help you can test to see if your issue is a REGRESSION. To do so: 1. Download and install oldest version of LibreOffice (usually 3.3 unless your bug pertains to a feature added after 3.3)

http://downloadarchive.documentfoundation.org/libreoffice/old/

2. Test your bug 3. Leave a comment with your results. 4a. If the bug was present with 3.3 - set version to "inherited from OOo"; 4b. If the bug was not present in 3.3 - add "regression" to keyword


Feel free to come ask questions or to say hello in our QA chat: http://webchat.freenode.net/?channels=libreoffice-qa

Thank you for your help!

-- The LibreOffice QA Team This NEW Message was generated on: 2015-07-18
Comment 18 Brian Candler 2015-07-18 19:24:42 UTC
Formatting is fine in Libreoffice 4.4.4.3 under OSX 10.9.5